%global momorel 3

Name:           perl-DateTime-Calendar-Chinese
Version:        0.07
Release: %{momorel}m%{?dist}
Summary:        Traditional Chinese Calendar Implementation
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Calendar-Chinese/
Source0:        http://www.cpan.org/modules/by-module/DateTime/DateTime-Calendar-Chinese-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.6.1
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Event-Chinese >= 0.05
BuildRequires:  perl-DateTime-Event-Lunar >= 0.06
BuildRequires:  perl-DateTime-Event-SolarTerm >= 0.05
BuildRequires:  perl-DateTime-Util-Astro >= 0.11001
BuildRequires:  perl-DateTime-Util-Calc >= 0.08
BuildRequires:  perl-Math-Round
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Params-Validate
Requires:       perl-DateTime
Requires:       perl-DateTime-Event-Chinese >= 0.05
Requires:       perl-DateTime-Event-Lunar >= 0.06
Requires:       perl-DateTime-Event-SolarTerm >= 0.05
Requires:       perl-DateTime-Util-Astro >= 0.11001
Requires:       perl-DateTime-Util-Calc >= 0.08
Requires:       perl-Math-Round
Requires:       perl-Params-Validate
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is an implementation of the Chinese calendar as described in
"Calendrical Calculations" [1]. Please note that the following description
is the description from [1], and the author has not made attempts to verify
the correctness of statements with other sources.

%prep
%setup -q -n DateTime-Calendar-Chinese-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE
%{perl_vendorlib}/*/*/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.07-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.07-2m)
- rebuild against gcc43

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07-1m)
- update to 0.07

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.05-3m)
- use vendor

* Wed Nov 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-2m)
- delete dupclicate directory

* Tue Nov 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.05-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
